<?php

use Illuminate\Database\Migrations\Migration;

class CreateIcoSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: ico_settings
         */
        Schema::create('ico_settings', function ($table) {
            $table->increments('id');
            $table->package::package.fieldtype.at('2018')->nullable();
            $table->integer('ico_enabled')->nullable();
            $table->text('btc_transaction_fees')->nullable();
            $table->text('eth_transaction_fees')->nullable();
            $table->string('contract_address', 255)->nullable();
            $table->text('contract_abi')->nullable();
            $table->string('eth_address', 255)->nullable();
            $table->integer('contract_token_decimal')->nullable();
            $table->text('contract_live')->nullable();
            $table->string('site_token_name', 255)->nullable();
            $table->string('site_token_short_name', 255)->nullable();
            $table->integer('contract_total_token')->nullable();
            $table->string('eth_api_key', 255)->nullable();
            $table->string('gas_price', 255)->nullable();
            $table->package::package.fieldtype.VALUES('created_at)')->nullable();
            $table->package::package.fieldtype.1('1,')->nullable();
            $table->package::package.fieldtype.18(''0x620aeb38271c181cf3049fcd11b6c04d4d688277',')->nullable();
            $table->package::package.fieldtype.Token(''ASJD')->nullable();
            $table->package::package.fieldtype.500000000(''ASJD',')->nullable();
            $table->package::package.fieldtype.07(''2018-09-10')->nullable();
            $table->package::package.fieldtype.NOT('11)')->nullable();
            $table->package::package.fieldtype.COMMIT('AUTO_INCREMENT=2;')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('ico_settings');
    }
}
